import React from 'react'
import { MapContainer, TileLayer, Marker, Popup } from 'react-leaflet';
import {Icon} from "leaflet";

const myIcon = new Icon({
  iconUrl: "/images/icon1.png",
  
  iconAnchor: [15, 45], 
  iconSize: [30,45],     
});

export default function Map1() {
  return (
    <div className='container'>
      <MapContainer center={[32.0723, 34.7818]} zoom={16} scrollWheelZoom={true}>
        <TileLayer
          url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
          attribution='&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        />
        <Marker position={[32.07231, 34.78168]} icon={myIcon} >
        <Popup>
             <a href='https://google.co.il' target="_blank">
               אבן גבירול 10 
            </a>
            </Popup>
        </Marker>
        <Marker position={[32.0736, 34.7820]}>
          <Popup>אבן גבירול 20</Popup>
        </Marker>
      </MapContainer>

    </div>
  )
}
